Model discontinued. This page is no longer updated.

MFC-9420CN

FAQs & Troubleshooting

FAQs & Troubleshooting

Which E-mail packages are compatible with ControlCenter2?
(For Windows 2000/XP)

- Compatible E-mail applications

 

ControlCenter2* supports the following E-mail applications:

  • Microsoft Outlook 2000/ 2002/ 2003
  • Microsoft Outlook Express 5/ 6
  • Netscape Mail 7
  • Qualcomm Eudra Pro 6

*current version is ver. 2.1.78.62.
If you have a newer version, some more applications would be supported additionally.

 

You can verify your ControlCenter2 version following the steps below. If you have an older version than the one listed, update your ControlCenter2.

 

- How to verify your ControlCenter2 version and update

  1. Go to Local Disk(C:) and open the Program Files folder, the Brother folder, and then the ControlCenter2 folder.

  2. Right-click on the BrCtrCen (.exe may appear as the file extension). Select Properties.

    properties.

  3. Click Version tab. You will see the version in the window.

    version


  4. If your version of ContorlCenter2 is old, it needs to be updated.


    ContorlCenter2 update tool is only available to Windows 2000/XP users.


    > Click here to update ControlCenter2 (download ControlCenter2 update tool).

If your question was not answered, have you checked other FAQs?

Have you checked the manuals?

If you need further assistance, please contact Brother customer service:

Related Models

DCP-110C, DCP-120C, DCP-7020, DCP-8060, DCP-8065DN, MFC-210C, MFC-3240C, MFC-3340CN, MFC-420CN, MFC-5440CN, MFC-5840CN, MFC-620CN, MFC-640CW, MFC-7220, MFC-7225N, MFC-7420, MFC-7820N, MFC-820CW, MFC-8460N, MFC-8660DN, MFC-8670DN, MFC-8860DN, MFC-8870DW, MFC-9420CN

Content Feedback

To help us improve our support, please provide your feedback below.

Step 1: How does the information on this page help you?

Step 2: €Are there any comments you would like to add?

Please note this form is used for feedback only.